import type { ResponsePrincipal } from './ResponsePrincipal';
export declare type ResponsePermission = {
    id: number;
    principal: ResponsePrincipal;
    target: ResponsePermission.target;
    action: ResponsePermission.action;
};
export declare namespace ResponsePermission {
    enum target {
        RUNNER = "RUNNER",
        ORGANISATION = "ORGANISATION",
        TEAM = "TEAM",
        TRACK = "TRACK",
        USER = "USER",
        USERGROUP = "USERGROUP",
        PERMISSION = "PERMISSION",
        STATSCLIENT = "STATSCLIENT"
    }
    enum action {
        GET = "GET",
        CREATE = "CREATE",
        UPDATE = "UPDATE",
        DELETE = "DELETE",
        IMPORT = "IMPORT"
    }
}
